import { Repository } from "typeorm";
import { ShopOffer } from "../../common/shopoffer/shopoffer.entity";
import { CreateShopOfferDto, UpdateShopOfferDto, UpdateStatusDto } from "./shopoffer.dto";
export declare class AdminShopOffer {
    private readonly shopOfferRepository;
    constructor(shopOfferRepository: Repository<ShopOffer>);
    create(createShopOfferDto: CreateShopOfferDto): Promise<ShopOffer>;
    findOne(shopId: number): Promise<ShopOffer>;
    update(id: number, updateShopOfferDto: UpdateShopOfferDto): Promise<ShopOffer>;
    updateByShopId(shopId: number, updateShopOfferDto: UpdateShopOfferDto): Promise<ShopOffer>;
    updateStatus(id: number, status: UpdateStatusDto): Promise<ShopOffer>;
}
